#include "glgpu.h"

#include <GL/glut.h>

/* Unused for now

void glWholeQuadvpi(int x1, int y1, int x2, int y2, CGparameter param)
{
	glBegin(GL_QUADS);
	cgGLSetParameter2f(param, x1, y1);
	glVertex2i(-1,-1);
	cgGLSetParameter2f(param, x2, y1);
	glVertex2i(1,-1);
	cgGLSetParameter2f(param, x2, y2);
	glVertex2i(1,1);
	cgGLSetParameter2f(param, x1, y2);
	glVertex2i(-1,1);
	glEnd();
}*/

void glQuadi(int x1, int y1, int x2, int y2)
{
	glBegin(GL_QUADS);
	glTexCoord2i(x1, y1);
	glVertex2i(x1, y1);
	glTexCoord2i(x2, y1);
	glVertex2i(x2, y1);
	glTexCoord2i(x2, y2);
	glVertex2i(x2, y2);
	glTexCoord2i(x1, y2);
	glVertex2i(x1, y2);
	glEnd();
}

void glQuadf(float x1, float y1, float x2, float y2)
{
	glBegin(GL_QUADS);
	glTexCoord2f(x1, y1);
	glVertex2f(x1, y1);
	glTexCoord2f(x2, y1);
	glVertex2f(x2, y1);
	glTexCoord2f(x2, y2);
	glVertex2f(x2, y2);
	glTexCoord2f(x1, y2);
	glVertex2f(x1, y2);
	glEnd();
}

void glQuadii(int tx1,   int ty1,   int tx2,   int ty2,   int vx1,   int vy1,   int vx2,   int vy2)
{
	glBegin(GL_QUADS);
	glTexCoord2i(tx1, ty1);
	glVertex2i(vx1, vy1);
	glTexCoord2i(tx2, ty1);
	glVertex2i(vx2, vy1);
	glTexCoord2i(tx2, ty2);
	glVertex2i(vx2, vy2);
	glTexCoord2i(tx1, ty2);
	glVertex2i(vx1, vy2);
	glEnd();
}

void glQuadff(float tx1,   float ty1,   float tx2,   float ty2,   float vx1,   float vy1,   float vx2,   float vy2)
{
	glBegin(GL_QUADS);
	glTexCoord2f(tx1, ty1);
	glVertex2f(vx1, vy1);
	glTexCoord2f(tx2, ty1);
	glVertex2f(vx2, vy1);
	glTexCoord2f(tx2, ty2);
	glVertex2f(vx2, vy2);
	glTexCoord2f(tx1, ty2);
	glVertex2f(vx1, vy2);
	glEnd();
}